Openhab 3.3, Docker: Could not find artifact com.zsmartsystems.zigbee

  • Platform information:
    • Hardware: _ Ryzen 5 5600X / 16GB DDR4 / 1TB SSD_
    • OS: Host: Debian 11 - Docker Image openhab:3.3.0-snapshot-alpine
    • Java Runtime Environment: Docker Image openhab:3.3.0-snapshot-alpine
    • openHAB version: 3.3.0-snapshot-alpine
  • Issue of the topic: Openhab starts but I get ArtifactNotFoundExceptions frequently. Other than that I have so far no Problem I can clearly describe - but this makes the openhab log quite noisy and hard to debug anything with it, I would really like to have clean logs so I can console.log things with scripts properly.
  • Please post configurations (if applicable):
    • Services configuration related to the issue
  • If logs where generated please post these here using code fences:
    After startup I get this:

Launching the openHAB runtime…
org.apache.karaf.features.internal.util.MultiException: Error:
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.console.telegesis/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.dongle.telegesis/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.dongle.xbee/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.console.ember/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.dongle.cc2531/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.dongle.ember/1.4.5
Error downloading mvn:com.zsmartsystems.zigbee/com.zsmartsystems.zigbee.console/1.4.5
at org.apache.karaf.features.internal.download.impl.MavenDownloadManager$MavenDownloader.(MavenDownloadManager.java:91)
at org.apache.karaf.features.internal.download.impl.MavenDownloadManager.createDownloader(MavenDownloadManager.java:72)
at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:457)
at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:452)
at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:224)
at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:399)
at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1069)
at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:1004)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)

Followed by frequent outputs complaining about the same missing java packages below com.zsmartsystems.zigbee, for example

Suppressed: shaded.org.eclipse.aether.transfer.ArtifactNotFoundException: Could not find artifact com.zsmartsystems.zigbee:com.zsmartsystems.zigbee.dongle.cc2531:jar:1.4.5 in openhab (JFrog)
at shaded.org.eclipse.aether.connector.basic.ArtifactTransportListener.transferFailed(ArtifactTransportListener.java:48)
at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$TaskRunner.run(BasicRepositoryConnector.java:368)
at shaded.org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:75)
at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$DirectExecutor.execute(BasicRepositoryConnector.java:642)
at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector.get(BasicRepositoryConnector.java:262)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.performDownloads(DefaultArtifactResolver.java:489)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:390)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:215)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:192)
at shaded.org.eclipse.aether.internal.impl.DefaultRepositorySystem.resolveArtifact(DefaultRepositorySystem.java:247)
at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:767)
… 11 more
Caused by: shaded.org.eclipse.aether.resolution.ArtifactResolutionException: Error resolving artifact com.zsmartsystems.zigbee:com.zsmartsystems.zigbee.dongle.cc2531:jar:1.4.5
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolve(DefaultArtifactResolver.java:413)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifacts(DefaultArtifactResolver.java:215)
at shaded.org.eclipse.aether.internal.impl.DefaultArtifactResolver.resolveArtifact(DefaultArtifactResolver.java:192)
at shaded.org.eclipse.aether.internal.impl.DefaultRepositorySystem.resolveArtifact(DefaultRepositorySystem.java:247)
at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:767)
… 11 more

What could be the reason that the packages apparently cannot be pulled?

Those libraries probably still need to be uploaded to the openHAB repo after they got upgraded. Maybe @Kai can help with that? Meanwhile you can use the addons KAR file to workaround it.

1 Like

I googled for it, but cannot find how to do it.

  • where can I download a KAR file?
  • what exactly do I need, are there multiple KAR files, or are they specific for addons? in that case what would I have to do?
  • once I have a Kar file, how to use that to install it?

Scroll down to the “Manual Installation” section and download the addons package. Put that kar file into the addons folder. Since you are using Docker, you’ll want to mount a volume to /openhab/addons containing the kar file.

1 Like

I only found the kar file for 3.2.0 there.
https://openhab.jfrog.io/ui/native/libs-release-local/org/openhab/distro/openhab-addons/3.2.0/openhab-addons-3.2.0.kar
Theres no link for 3.3, I tried the same link with version numbers increased to 3.3.0 (JFrog) which did not succeed.
consequently I tried with the 3.2.0 file, unsuccessfully:

  • Downloaded the kar file
  • put it in the addons volume on the server
  • chowned it to the 9001 user (like the folder)

After starting up openhab again, the very same errors appear.

Try this openhab-addons-3.3.0-SNAPSHOT.kar. :slight_smile:

1 Like

Sorry, I had missed that message (and uploading in the first place).
Should now be all available!

1 Like